Package org.lwjgl.opencl

# Class CL12GL

java.lang.Object
org.lwjgl.opencl.CL12GL

public final class CL12GL extends Object
The core OpenCL 1.2 OpenGL interrop functionality.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_GL_OBJECT_TEXTURE_BUFFER`
`static final int`
`CL_GL_OBJECT_TEXTURE1D`
`static final int`
`CL_GL_OBJECT_TEXTURE1D_ARRAY`
`static final int`
`CL_GL_OBJECT_TEXTURE2D_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`static CLMem`
`clCreateFromGLTexture(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_GL_OBJECT_TEXTURE2D_ARRAY

public static final int CL_GL_OBJECT_TEXTURE2D_ARRAY

See Also:
  - Constant Field Values

### CL_GL_OBJECT_TEXTURE1D

public static final int CL_GL_OBJECT_TEXTURE1D

See Also:
  - Constant Field Values

### CL_GL_OBJECT_TEXTURE1D_ARRAY

public static final int CL_GL_OBJECT_TEXTURE1D_ARRAY

See Also:
  - Constant Field Values

### CL_GL_OBJECT_TEXTURE_BUFFER

public static final int CL_GL_OBJECT_TEXTURE_BUFFER

See Also:
  - Constant Field Values

## Method Details

### clCreateFromGLTexture

public static CLMem clCreateFromGLTexture(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)